This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 186111 - fails to properly setup dual-head modes for radeon based displays
fails to properly setup dual-head modes for radeon based displays
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 13:15 EST by Wayne Walker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 08:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This is the xorg.conf file I manually created that works. (4.21 KB, text/plain)
2006-03-21 13:15 EST, Wayne Walker
no flags Details

  None (edit)
Description Wayne Walker 2006-03-21 13:15:05 EST
Description of problem:

system-config-display fails to setup a usable dual-head xorg.conf for either
individual displays or for spanning displays when the card is radeon driver based.

Version-Release number of selected component (if applicable):

system-config-display-1.0.37-2

How reproducible:

Always

Steps to Reproduce:
1. Attempt to setup dual-head display with any video card that uses the xorg
radeon driver.
2. Choose either Individual Desktops or Spanning Desktops
3. Choose either a different card, or same card as on the Settings.. tab.
  
Actual results:

According to which of the 4 permutations you select above, you will either get:

The secondary monitor in power save mode but the mouse will travel off the side
of the primary monitor as if correctly using two monitors in one display.

or

The secondary monitor in power save mode but the mouse will not travel off the
side of the primary monitor, as if in plain single monitor mode.

or

The secondary monitor is a clone of the primary monitor, and the mouse will not
travel off the side of the primary monitor, as if in plain single monitor mode.

Expected results:

Both monitors on, and the mouse will move across them, and either as a double
wide :0.0 or as :0.0 and :0.1.

Additional info:

I think the problem is that Xinerama does not work with the radeon driver.  The
radeon driver uses MergedFB mode.  I will attach an xorg.conf that works as a
3200x1200 :0.0.

I will run any tests necessary to help with the resolution of this bug.  Contact
me directly via email at wwalker@bybent.com.
Comment 1 Wayne Walker 2006-03-21 13:15:05 EST
Created attachment 126415 [details]
This is  the xorg.conf file I manually created that works.
Comment 2 Dom Layfield 2006-04-04 22:02:07 EDT
Workaround is given in this thread:
http://www.fedoraforum.org/forum/showthread.php?p=495185

Seems like the "ServerLayout" options are being ignored.

I think you need to add something like:
   Option "CRT2Position" "RightOf"
to the "Device" section for your primary videocard.

That worked for me, at least...
Comment 3 Matěj Cepl 2007-08-17 08:46:49 EDT
Reporter, I am sorry, that we have left this bug unnoticed for so long, but
could you confirm please, that this bug still could be reproduced with the
latest updates of Fedora (FC6, F7, or Rawhide)?

And if it is reproducable, could we get also xorg.conf and Xorg.0.log generated
by system-config-display which didn't work? Of course, working
/var/log/Xorg.0.log would be useful as well.
Comment 4 Matěj Cepl 2007-09-17 08:22:05 EDT
No information requested provided, no joy for anybody -- closing this bug as
INSUFFICIENT_DATA. Reporter, if you could, please, reopen with additional
information.

Note You need to log in before you can comment on or make changes to this bug.